# Organisation

## GET /api/v1/dashboard/organisation/affiliation/list/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/affiliation/list/":{"get":{"operationId":"dashboard_organisation_affiliation_list_retrieve","tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/organisation/base-template/

> Retrieve Organisation Base Template.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/base-template/":{"get":{"operationId":"dashboard_organisation_base_template_retrieve","description":"Retrieve Organisation Base Template.","tags":["Organisation"],"responses":{"200":{"description":"XLSX file download"}}}}}}
```

## GET /api/v1/dashboard/organisation/departments/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/departments/":{"get":{"operationId":"dashboard_organisation_departments_retrieve","tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /api/v1/dashboard/organisation/departments/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/departments/":{"post":{"operationId":"dashboard_organisation_departments_create","tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PUT /api/v1/dashboard/organisation/departments/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/departments/":{"put":{"operationId":"dashboard_organisation_departments_update","tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /api/v1/dashboard/organisation/departments/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/departments/":{"delete":{"operationId":"dashboard_organisation_departments_destroy","tags":["Organisation"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/organisation/departments/create/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/departments/create/":{"get":{"operationId":"dashboard_organisation_departments_create_retrieve","tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /api/v1/dashboard/organisation/departments/create/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/departments/create/":{"post":{"operationId":"dashboard_organisation_departments_create_create","tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PUT /api/v1/dashboard/organisation/departments/create/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/departments/create/":{"put":{"operationId":"dashboard_organisation_departments_create_update","tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /api/v1/dashboard/organisation/departments/create/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/departments/create/":{"delete":{"operationId":"dashboard_organisation_departments_create_destroy","tags":["Organisation"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/organisation/departments/delete/{department\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/departments/delete/{department_id}/":{"get":{"operationId":"dashboard_organisation_departments_delete_retrieve","parameters":[{"in":"path","name":"department_id","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /api/v1/dashboard/organisation/departments/delete/{department\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/departments/delete/{department_id}/":{"post":{"operationId":"dashboard_organisation_departments_delete_create","parameters":[{"in":"path","name":"department_id","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PUT /api/v1/dashboard/organisation/departments/delete/{department\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/departments/delete/{department_id}/":{"put":{"operationId":"dashboard_organisation_departments_delete_update","parameters":[{"in":"path","name":"department_id","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /api/v1/dashboard/organisation/departments/delete/{department\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/departments/delete/{department_id}/":{"delete":{"operationId":"dashboard_organisation_departments_delete_destroy","parameters":[{"in":"path","name":"department_id","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/organisation/departments/edit/{department\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/departments/edit/{department_id}/":{"get":{"operationId":"dashboard_organisation_departments_edit_retrieve","parameters":[{"in":"path","name":"department_id","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /api/v1/dashboard/organisation/departments/edit/{department\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/departments/edit/{department_id}/":{"post":{"operationId":"dashboard_organisation_departments_edit_create","parameters":[{"in":"path","name":"department_id","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PUT /api/v1/dashboard/organisation/departments/edit/{department\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/departments/edit/{department_id}/":{"put":{"operationId":"dashboard_organisation_departments_edit_update","parameters":[{"in":"path","name":"department_id","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /api/v1/dashboard/organisation/departments/edit/{department\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/departments/edit/{department_id}/":{"delete":{"operationId":"dashboard_organisation_departments_edit_destroy","parameters":[{"in":"path","name":"department_id","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"204":{"description":"No response body"}}}}}}
```

## POST /api/v1/dashboard/organisation/import/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/import/":{"post":{"operationId":"dashboard_organisation_import_create","tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/organisation/institutes/{org\_type}/

> Retrieve Institution.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Institution":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":100},"code":{"type":"string","maxLength":12},"affiliation":{"type":"string","readOnly":true},"district":{"type":"string","readOnly":true},"zone":{"type":"string","readOnly":true},"state":{"type":"string","readOnly":true},"country":{"type":"string","readOnly":true},"user_count":{"type":"string","readOnly":true}},"required":["affiliation","code","country","district","state","title","user_count","zone"]}}},"paths":{"/api/v1/dashboard/organisation/institutes/{org_type}/":{"get":{"operationId":"dashboard_organisation_institutes_retrieve","description":"Retrieve Institution.","parameters":[{"in":"path","name":"org_type","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Institution"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/organisation/institutes/{org\_type}/{district\_id}/

> Retrieve Institution.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"Institution":{"type":"object","properties":{"id":{"type":"string","maxLength":36},"title":{"type":"string","maxLength":100},"code":{"type":"string","maxLength":12},"affiliation":{"type":"string","readOnly":true},"district":{"type":"string","readOnly":true},"zone":{"type":"string","readOnly":true},"state":{"type":"string","readOnly":true},"country":{"type":"string","readOnly":true},"user_count":{"type":"string","readOnly":true}},"required":["affiliation","code","country","district","state","title","user_count","zone"]}}},"paths":{"/api/v1/dashboard/organisation/institutes/{org_type}/{district_id}/":{"get":{"operationId":"dashboard_organisation_institutes_retrieve_2","description":"Retrieve Institution.","parameters":[{"in":"path","name":"district_id","schema":{"type":"string"},"required":true},{"in":"path","name":"org_type","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/Institution"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/organisation/institutes/{org\_type}/csv/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/{org_type}/csv/":{"get":{"operationId":"dashboard_organisation_institutes_csv_retrieve","parameters":[{"in":"path","name":"org_type","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /api/v1/dashboard/organisation/institutes/create/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/create/":{"post":{"operationId":"dashboard_organisation_institutes_create_create","tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PUT /api/v1/dashboard/organisation/institutes/create/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/create/":{"put":{"operationId":"dashboard_organisation_institutes_create_update","tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /api/v1/dashboard/organisation/institutes/create/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/create/":{"delete":{"operationId":"dashboard_organisation_institutes_create_destroy","tags":["Organisation"],"responses":{"204":{"description":"No response body"}}}}}}
```

## POST /api/v1/dashboard/organisation/institutes/delete/{org\_code}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/delete/{org_code}/":{"post":{"operationId":"dashboard_organisation_institutes_delete_create","parameters":[{"in":"path","name":"org_code","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PUT /api/v1/dashboard/organisation/institutes/delete/{org\_code}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/delete/{org_code}/":{"put":{"operationId":"dashboard_organisation_institutes_delete_update","parameters":[{"in":"path","name":"org_code","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /api/v1/dashboard/organisation/institutes/delete/{org\_code}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/delete/{org_code}/":{"delete":{"operationId":"dashboard_organisation_institutes_delete_destroy","parameters":[{"in":"path","name":"org_code","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"204":{"description":"No response body"}}}}}}
```

## POST /api/v1/dashboard/organisation/institutes/edit/{org\_code}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/edit/{org_code}/":{"post":{"operationId":"dashboard_organisation_institutes_edit_create","parameters":[{"in":"path","name":"org_code","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PUT /api/v1/dashboard/organisation/institutes/edit/{org\_code}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/edit/{org_code}/":{"put":{"operationId":"dashboard_organisation_institutes_edit_update","parameters":[{"in":"path","name":"org_code","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /api/v1/dashboard/organisation/institutes/edit/{org\_code}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/edit/{org_code}/":{"delete":{"operationId":"dashboard_organisation_institutes_edit_destroy","parameters":[{"in":"path","name":"org_code","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/organisation/institutes/info/{org\_code}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/info/{org_code}/":{"get":{"operationId":"dashboard_organisation_institutes_info_retrieve","parameters":[{"in":"path","name":"org_code","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/organisation/institutes/org/affiliation/create/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/org/affiliation/create/":{"get":{"operationId":"dashboard_organisation_institutes_org_affiliation_create_retrieve","tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /api/v1/dashboard/organisation/institutes/org/affiliation/create/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/org/affiliation/create/":{"post":{"operationId":"dashboard_organisation_institutes_org_affiliation_create_create","tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PUT /api/v1/dashboard/organisation/institutes/org/affiliation/create/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/org/affiliation/create/":{"put":{"operationId":"dashboard_organisation_institutes_org_affiliation_create_update","tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /api/v1/dashboard/organisation/institutes/org/affiliation/create/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/org/affiliation/create/":{"delete":{"operationId":"dashboard_organisation_institutes_org_affiliation_create_destroy","tags":["Organisation"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/organisation/institutes/org/affiliation/delete/{affiliation\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/org/affiliation/delete/{affiliation_id}/":{"get":{"operationId":"dashboard_organisation_institutes_org_affiliation_delete_retrieve","parameters":[{"in":"path","name":"affiliation_id","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /api/v1/dashboard/organisation/institutes/org/affiliation/delete/{affiliation\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/org/affiliation/delete/{affiliation_id}/":{"post":{"operationId":"dashboard_organisation_institutes_org_affiliation_delete_create","parameters":[{"in":"path","name":"affiliation_id","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PUT /api/v1/dashboard/organisation/institutes/org/affiliation/delete/{affiliation\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/org/affiliation/delete/{affiliation_id}/":{"put":{"operationId":"dashboard_organisation_institutes_org_affiliation_delete_update","parameters":[{"in":"path","name":"affiliation_id","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /api/v1/dashboard/organisation/institutes/org/affiliation/delete/{affiliation\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/org/affiliation/delete/{affiliation_id}/":{"delete":{"operationId":"dashboard_organisation_institutes_org_affiliation_delete_destroy","parameters":[{"in":"path","name":"affiliation_id","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/organisation/institutes/org/affiliation/edit/{affiliation\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/org/affiliation/edit/{affiliation_id}/":{"get":{"operationId":"dashboard_organisation_institutes_org_affiliation_edit_retrieve","parameters":[{"in":"path","name":"affiliation_id","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /api/v1/dashboard/organisation/institutes/org/affiliation/edit/{affiliation\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/org/affiliation/edit/{affiliation_id}/":{"post":{"operationId":"dashboard_organisation_institutes_org_affiliation_edit_create","parameters":[{"in":"path","name":"affiliation_id","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PUT /api/v1/dashboard/organisation/institutes/org/affiliation/edit/{affiliation\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/org/affiliation/edit/{affiliation_id}/":{"put":{"operationId":"dashboard_organisation_institutes_org_affiliation_edit_update","parameters":[{"in":"path","name":"affiliation_id","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /api/v1/dashboard/organisation/institutes/org/affiliation/edit/{affiliation\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/org/affiliation/edit/{affiliation_id}/":{"delete":{"operationId":"dashboard_organisation_institutes_org_affiliation_edit_destroy","parameters":[{"in":"path","name":"affiliation_id","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/organisation/institutes/org/affiliation/show/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/org/affiliation/show/":{"get":{"operationId":"dashboard_organisation_institutes_org_affiliation_show_retrieve","tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /api/v1/dashboard/organisation/institutes/org/affiliation/show/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/org/affiliation/show/":{"post":{"operationId":"dashboard_organisation_institutes_org_affiliation_show_create","tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PUT /api/v1/dashboard/organisation/institutes/org/affiliation/show/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/org/affiliation/show/":{"put":{"operationId":"dashboard_organisation_institutes_org_affiliation_show_update","tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /api/v1/dashboard/organisation/institutes/org/affiliation/show/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"jwtAuth":[]},{}],"components":{"securitySchemes":{"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/org/affiliation/show/":{"delete":{"operationId":"dashboard_organisation_institutes_org_affiliation_show_destroy","tags":["Organisation"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /api/v1/dashboard/organisation/institutes/prefill/{org\_code}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/institutes/prefill/{org_code}/":{"get":{"operationId":"dashboard_organisation_institutes_prefill_retrieve","parameters":[{"in":"path","name":"org_code","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /api/v1/dashboard/organisation/karma-log/create/

> Create Organization Karma Log Get Post Patch Delete.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"OrganizationKarmaLogGetPostPatchDelete":{"type":"object","properties":{"org":{"type":"string"},"karma":{"type":"integer","maximum":2147483647,"minimum":-2147483648},"type":{"type":"string"}},"required":["karma","org","type"]}}},"paths":{"/api/v1/dashboard/organisation/karma-log/create/":{"post":{"operationId":"dashboard_organisation_karma_log_create_create","description":"Create Organization Karma Log Get Post Patch Delete.","tags":["Organisation"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationKarmaLogGetPostPatchDelete"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/OrganizationKarmaLogGetPostPatchDelete"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/OrganizationKarmaLogGetPostPatchDelete"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/OrganizationKarmaLogGetPostPatchDelete"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## POST /api/v1/dashboard/organisation/karma-type/create/

> Create Organization Karma Type Get Post Patch Delete.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"OrganizationKarmaTypeGetPostPatchDelete":{"type":"object","properties":{"title":{"type":"string","maxLength":75},"karma":{"type":"integer","maximum":2147483647,"minimum":-2147483648},"description":{"type":"string","nullable":true,"maxLength":200}},"required":["karma","title"]}}},"paths":{"/api/v1/dashboard/organisation/karma-type/create/":{"post":{"operationId":"dashboard_organisation_karma_type_create_create","description":"Create Organization Karma Type Get Post Patch Delete.","tags":["Organisation"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationKarmaTypeGetPostPatchDelete"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/OrganizationKarmaTypeGetPostPatchDelete"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/OrganizationKarmaTypeGetPostPatchDelete"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/OrganizationKarmaTypeGetPostPatchDelete"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/organisation/merge\_organizations/{organisation\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/merge_organizations/{organisation_id}/":{"get":{"operationId":"dashboard_organisation_merge_organizations_retrieve","parameters":[{"in":"path","name":"organisation_id","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PATCH /api/v1/dashboard/organisation/merge\_organizations/{organisation\_id}/

>

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/merge_organizations/{organisation_id}/":{"patch":{"operationId":"dashboard_organisation_merge_organizations_partial_update","parameters":[{"in":"path","name":"organisation_id","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /api/v1/dashboard/organisation/transfer/

> Create Transfer.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}}},"paths":{"/api/v1/dashboard/organisation/transfer/":{"post":{"operationId":"dashboard_organisation_transfer_create","description":"Create Transfer.","tags":["Organisation"],"responses":{"200":{"description":"Organisation transfer success message"}}}}}}
```

## POST /api/v1/dashboard/organisation/verify/{uorg\_id}/

> Create Verify Organization.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"OrganizationVerify":{"type":"object","properties":{"verified":{"type":"boolean"},"org_id":{"type":"string"}},"required":["org_id","verified"]}}},"paths":{"/api/v1/dashboard/organisation/verify/{uorg_id}/":{"post":{"operationId":"dashboard_organisation_verify_create","description":"Create Verify Organization.","parameters":[{"in":"path","name":"uorg_id","schema":{"type":"string"},"required":true}],"tags":["Organisation"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationVerify"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/OrganizationVerify"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/OrganizationVerify"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/OrganizationVerify"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/dashboard/organisation/verify/list/

> Retrieve Unverified Organizations List.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"UnverifiedOrganizations":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"title":{"type":"string","maxLength":100},"org_type":{"type":"string","maxLength":25},"graduation_year":{"type":"integer","maximum":2147483647,"minimum":-2147483648,"nullable":true},"department":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"created_at":{"type":"string","format":"date-time","readOnly":true}},"required":["created_at","created_by","department","id","org_type","title"]}}},"paths":{"/api/v1/dashboard/organisation/verify/list/":{"get":{"operationId":"dashboard_organisation_verify_list_retrieve","description":"Retrieve Unverified Organizations List.","tags":["Organisation"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/UnverifiedOrganizations"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mulearn.org/api-reference/organisation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
